Loading...
Searching...
No Matches
Mesh< T > Class Template Reference

A Mesh consists of a set of connected and numbered mesh topological entities, and geometry data. More...

`#include <Mesh.h>`

## Public Types

using | geometry_type = Geometry<T>
| Value type.

## Public Member Functions

template<typename V> requires std::is_convertible_v<std::remove_cvref_t<V>, Geometry<T>>
| Mesh (MPI_Comm comm, std::shared_ptr< Topology > topology, V &&geometry)
| Create a Mesh.
| Mesh (const Mesh &mesh)=default
| Mesh (Mesh &&mesh)=default
| ~Mesh ()=default
| Destructor.
Mesh & | operator= (const Mesh &mesh)=delete
Mesh & | operator= (Mesh &&mesh)=default
std::shared_ptr< Topology > | topology ()
| Get mesh topology.
std::shared_ptr< const Topology > | topology () const
| Get mesh topology (const version).
std::shared_ptr< Topology > | topology_mutable () const
| Get mesh topology if one really needs the mutable version.
Geometry< T > & | geometry ()
| Get mesh geometry.
const Geometry< T > & | geometry () const
| Get mesh geometry (const version).
MPI_Comm | comm () const
| Mesh MPI communicator.

## Public Attributes

std::string | name = "mesh"
| Name.

## Detailed Description

template<std::floating_point T>
class dolfinx::mesh::Mesh< T >

A Mesh consists of a set of connected and numbered mesh topological entities, and geometry data.

Template Parameters

  Floating | point type for representing the geometry.

## Constructor & Destructor Documentation

## Mesh() [1/3]

template<std::floating_point T>
template<typename V>
requires std::is_convertible_v<std::remove_cvref_t<V>, Geometry<T>>

Mesh | ( | MPI_Comm | comm,
|  | std::shared_ptr< Topology > | topology,
|  | V && | geometry )

inline

Create a Mesh.

Note
  This constructor is not normally called by users. User code will normally use ::create_mesh.

Parameters

  [in] | comm | MPI Communicator.
  [in] | topology | Mesh topology.
  [in] | geometry | Mesh geometry.

## Mesh() [2/3]

template<std::floating_point T>

Mesh | ( | const Mesh< T > & | mesh | ) |

default

Copy constructor

Parameters

  [in] | mesh | Mesh to be copied

## Mesh() [3/3]

template<std::floating_point T>

Mesh | ( | Mesh< T > && | mesh | ) |

default

Move constructor

Parameters

  mesh | Mesh to be moved.

## Member Function Documentation

## comm()

template<std::floating_point T>

MPI_Comm comm | ( |  | ) | const

inline

Mesh MPI communicator.

Returns
  The communicator on which the mesh is distributed.

## geometry() [1/2]

template<std::floating_point T>

Geometry< T > & geometry | ( |  | ) |

inline

Get mesh geometry.

Returns
  The geometry object associated with the mesh.

## geometry() [2/2]

template<std::floating_point T>

const Geometry< T > & geometry | ( |  | ) | const

inline

Get mesh geometry (const version).

Returns
  The geometry object associated with the mesh.

## operator=()

template<std::floating_point T>

Mesh & operator= | ( | Mesh< T > && | mesh | ) |

default

Assignment move operator

Parameters

  mesh | Another Mesh object

## topology() [1/2]

template<std::floating_point T>

std::shared_ptr< Topology > topology | ( |  | ) |

inline

Get mesh topology.

Returns
  The topology object associated with the mesh.

## topology() [2/2]

template<std::floating_point T>

std::shared_ptr< const Topology > topology | ( |  | ) | const

inline

Get mesh topology (const version).

Returns
  The topology object associated with the mesh.

## topology_mutable()

template<std::floating_point T>

std::shared_ptr< Topology > topology_mutable | ( |  | ) | const

inline

Get mesh topology if one really needs the mutable version.

Returns
  The topology object associated with the mesh.

The documentation for this class was generated from the following files:

- /build/fenics-dolfinx-PdyzCE/fenics-dolfinx-0.10.0.post5/cpp/dolfinx/io/VTKFile.h
- /build/fenics-dolfinx-PdyzCE/fenics-dolfinx-0.10.0.post5/cpp/dolfinx/mesh/Mesh.h